﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NEIntelligentControl2.Models.BoostStation
{
    /// <summary>
    /// 升压站信息
    /// </summary>
    public class BoostStationInfo
    {
        /// <summary>
        /// 升压站ID
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 场站名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 标签名称
        /// </summary>
        public string TagName { get; set; }
        /// <summary>
        /// 序号
        /// </summary>
        public int Index { get; set; }
        /// <summary>
        /// 背景图片路径
        /// </summary>
        public string Background { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        public long UpdatedDate { get; set; }
        private List<BoostStationPointInfo> boostStationPointInfos;
        /// <summary>
        /// 控件信息
        /// </summary>
        public List<BoostStationPointInfo> BoostStationPointInfos { get => boostStationPointInfos ?? (boostStationPointInfos = new List<BoostStationPointInfo>()); set => boostStationPointInfos = value; }
    }
}
