﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NEIntelligentControl2.Models.PV
{
    /// <summary>
    /// 光伏信息
    /// </summary>
    public class PVDetails
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public PVTagInfo Status { get; set; }
        private List<PVTagInfo> codeInfo;
        /// <summary>
        /// 标签点
        /// </summary>
        public List<PVTagInfo> CodeInfos { get => codeInfo ?? (codeInfo = new List<PVTagInfo>()); set => codeInfo = value; }
    }
}
