﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NEIntelligentControl2.Models.Station
{
    /// <summary>
    /// 场站信息
    /// </summary>
    public class StationInfo
    {
        /// <summary>
        /// 场站名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 全名
        /// </summary>
        public string FullName { get; set; }
        /// <summary>
        /// 场站ID
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 场站类型
        /// </summary>
        public StationType Type { get; set; }
        /// <summary>
        /// 附加内容
        /// </summary>
        public object Tag { get; set; }
    }
}
