﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NEIntelligentControl2.Models.WinForms
{
    public class HistoryAlertInfo
    {

        /// <summary>
        /// 报警Id
        /// </summary>
        public long Id { set; get; }
        /// <summary>
        /// 设备Id(风机,升压站)
        /// </summary>
        public string ObjectId { set; get; }

        public long SnapId { set; get; }

        /// <summary>
        /// 设备名称
        /// </summary>
        public string ObjectName { set; get; }
        /// <summary>
        /// 报警时间
        /// </summary>
        public DateTime AlertTime { set; get; }
        /// <summary>
        /// 报警内容
        /// </summary>
        public string AlertText { set; get; }
        /// <summary>
        /// 报警级别
        /// </summary>
        public string RankName { set; get; }
        /// <summary>
        /// 报警类型
        /// </summary>
        public string CategoryName { set; get; }

        /// <summary>
        /// 故障原因
        /// </summary>
        public string FaultCause { set; get; }
        /// <summary>
        /// 停机类型
        /// </summary>
        public string HaltType { set; get; }

        /// <summary>
        /// 故障部位
        /// </summary>
        public string FaultCategory { set; get; }

    }
}
