﻿using NEIntelligentControl2.Models.Pages;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace NEIntelligentControl2.Pages.Help
{
    /// <summary>
    /// 帮助页面
    /// </summary>
    public partial class PageHelp : Page
    {
        private TagManager _TagManager;
        public PageHelp(TagManager tm)
        {
            InitializeComponent();
            _TagManager = tm;
        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
            _WBMain.Source = new Uri($"file:///{AppDomain.CurrentDomain.BaseDirectory }help.mht");
            _TagManager.TagChanged?.Invoke(new List<Models.Station.StationInfo>());
        }
    }
}
