﻿using NEIntelligentControl2.Models.Station;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NEIntelligentControl2.Models.Pages
{
    /// <summary>
    /// 标签管理
    /// </summary>
    public class TagManager
    {
        /// <summary>
        /// 标签内容改变
        /// </summary>
        public Action<List<StationInfo>> TagChanged { get; set; }
        /// <summary>
        /// 标签切换
        /// </summary>
        public Action<StationInfo> TagSwitched { get; set; }
        /// <summary>
        /// 手动切换标签
        /// </summary>
        public Action<string> ChangeTag { get; set; }
    }
}
