﻿using NEIntelligentControl2.Models.PV;
using NEIntelligentControl2.Models.Windturbine;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NEIntelligentControl2.Service.Windturbine
{
    /// <summary>
    /// 缓存信息
    /// </summary>
    public class CacheManager
    {
        /// <summary>
        /// 风机信息
        /// </summary>
        public Dictionary<string, WindturbineInfo> Windturbineinfos { get; internal set; }
        /// <summary>
        /// 光伏信息
        /// </summary>
        public Dictionary<string, PVInfo> PVInfos { get; set; }
        /// <summary>
        /// 自定义挂牌信息
        /// </summary>
        public Dictionary<string, CustomLockInfo> CustomLockInfos { get; set; }
    }
}
