﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace NEIntelligentControl2.Views.User
{
    /// <summary>
    /// 指纹图片
    /// </summary>
    public partial class FingerpointImage : UserControl
    {
        public static readonly DependencyProperty IsActiveProperty = DependencyProperty.Register("IsActive", typeof(bool), typeof(FingerpointImage));

        /// <summary>
        /// 是否活动
        /// </summary>
        public bool IsActive { get => (bool)GetValue(IsActiveProperty); set => SetValue(IsActiveProperty, value); }
        public FingerpointImage()
        {
            InitializeComponent();
        }

        internal void ShowImage(BitmapImage bitmapImage)
        {
            IsActive = false;

            _IActive.Source = bitmapImage;
        }
    }
}
